Package wx :: Package lib :: Module eventStack :: Class AppEventHandlerMixin

[frames | no frames]

## Class AppEventHandlerMixin

The purpose of the AppEventHandlerMixin is to provide a centralized location to manage menu and toolbar events. In an IDE which may have any number of file editors and services open that may want to respond to certain menu and toolbar events (e.g. copy, paste, select all), we need this to efficiently make sure that the right handler is handling the event.

To work with this system, views must call
  Add(UI)HandlerForID(ID, handlerFunc)

in their EVT_SET_FOCUS handler, and call Remove(UI)HandlerForID(ID) in their EVT_KILL_FOCUS handler.

Method Summary
| `__init__(self)`
| `AddHandlerForID(self, eventID, handlerFunc)`
| `AddHandlerForIDs(self, eventID_list, handlerFunc)`
| `AddUIHandlerForID(self, eventID, handlerFunc)`
| `HandleEvent(self, event)`
| `HandleUpdateUIEvent(self, event)`
| `RemoveHandlerForID(self, eventID)`
| `RemoveHandlerForIDs(self, eventID_list)`
| `RemoveUIHandlerForID(self, eventID)`

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:51:43 2009 | http://epydoc.sf.net